SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:collection

fn:collection() → node()*

Function signature

$srcval | xs:string
Result | node() *

XPath 2.0 Specification

Returns the default collection if there is one.

Saxon implements this function by passing a null URI to the registered `CollectionURIResolver`. The default `CollectionURIResolver` implementation supplied with the product handles this by returning an empty sequence, but a user-supplied `CollectionURIResolver` is free to handle this case any way it wishes.

fn:collection(string $srcval) → node()*

Function signature

$srcval | xs:string
Result | node() *

XPath 2.0 Specification

Loads an external collection of nodes identified by the URI of the collection

If a user-defined `CollectionURIResolver` has been registered, the action of this function is entirely user-defined. A resolver may be registered using the `setCollectionResolver()` method on the `Configuration` object, or (in XSLT) using `setAttribute()` on the `TransformerFactory`. The `CollectionURIResolver` may be nominated using the -cr option on the command line.

For details of the behavior of the standard `CollectionURIResolver`, see Collections.

Next